package net.sourceforge.rtf.usecases.config;

import net.sourceforge.rtf.IRTFDocumentTransformer;
import net.sourceforge.rtf.ITemplateEngine;
import net.sourceforge.rtf.RTFTemplate;
import net.sourceforge.rtf.handler.RTFDocumentHandler;
import net.sourceforge.rtf.template.velocity.RTFVelocityTransformerImpl;
import net.sourceforge.rtf.template.velocity.VelocityTemplateEngineImpl;

public class RTFTemplateWithJavaConfig {

    /**
     * @param args
     */
    public static void main(String[] args) {
        
        RTFTemplate rtfTemplate  = new RTFTemplate();        
        // Parser
        RTFDocumentHandler parser = new RTFDocumentHandler();
        rtfTemplate.setParser(parser);
        
        // Transformer
        IRTFDocumentTransformer transformer = new RTFVelocityTransformerImpl();
        rtfTemplate.setTransformer(transformer);
        
        // Template engine 
        ITemplateEngine templateEngine = new VelocityTemplateEngineImpl();
        rtfTemplate.setTemplateEngine(templateEngine);
        

    }

}
